// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class inherent from IModel and implement the methods to
// load and save geometries in .off format.

#ifndef MODEL_MODEL_OFF_H__
#define MODEL_MODEL_OFF_H__

#include "../global.h"
#include "Model.h"

BEGIN_TEG_NAMESPACE();

class ModelOff : public IModel {
 public:
  // ModelOff constructor and destructor.
  ModelOff();
  ~ModelOff();

  // ModelOff Methods.
  AUTO_SIZE();

 private:
  DISALLOW_COPY_AND_ASSIGN(ModelOff);
};

END_TEG_NAMESPACE();

#endif  // MODEL_MODEL_OFF_H__
